<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_5439477835f9c" . "7cc26a988f88cb" . "19553" => base64_decode("cHJldl9mdWxs" . "X25hbWU="), "_dd45fa0d658" . "6ab8e73f6f6f" . "116b1a970" => base64_decode("cHJldl91c2V" . "yX2lk"), "_8cca4dd34e20c" . "5344bb2a30f253" . "3c4e5" => base64_decode("ZnVsbF9uYW" . "1l"), "use" . "r_i" . "d" => base64_decode("dXN" . "lcl" . "9pZ" . "A=="), "_baec81a782bb3d538149" . "a9225688246e" => base64_decode("ZXZlbnRfc" . "291cmNl"), "cont" . "ext" => base64_decode("Y29udG" . "V4dA=="), "_28c85ce81fee6532" . "980262893b6f2425" => base64_decode("dXNlcm5hbW" . "U="), "_539cf4259a149ca9dbb739b2cdb7" . "c608" => base64_decode("ZW1haWxfY" . "WRkcmVzcw" . "=="), "_eb6cb4623735c07195e93735d65923" . "6d" => base64_decode("cHJldl9" . "lbWFpbF" . "9hZGRyZ" . "XNz"), "_b070ffda70d673" . "baa2ab1a4ca13c2" . "54c" => base64_decode("cHJldl91c2VybmFt" . "ZQ=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["cont" . "ext"]) ? $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["co" . "nt" . "ex" . "t"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["use" . "r_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_8cca4dd34e20c5344bb" . "2a30f2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_28c85ce81fee6532980262893" . "b6f2425"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_539cf4259" . "a149ca9dbb" . "739b2cdb7c" . "608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_dd45fa0d6586ab8e7" . "3f6f6f116b1a970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5439477835f9c7cc26a988f88cb195" . "53"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_b070ffda70d673baa2ab1" . "a4ca13c254c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_eb6cb4623735c0719" . "5e93735d659236d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_baec81a782bb3d538149a9225" . "688246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}